.restaurants-list {
    display: grid;
}

.restaurantlist-card {
    display: flex;
    padding: 1vw 0 1vw 0;
    align-items: center;
    justify-content: space-between;
    height: 27vh;
    width: 95%;
    background-color: rgba(255, 255, 255, 0.76);
    gap: 10px;
}

.restaurantlist-header {
    display: flex;
    align-items: center; /* vertical centering */
    gap: 12px; /* space between image and name */
}

.restaurantlist-infos {
    display: flex;
    flex-direction: column;
}

.restaurantlist-name {
    color: #494949;
    margin-left: 1vw;
    align-self: start;
    font-family: Arial, Helvetica, sans-serif;
    text-transform: uppercase;
    font-weight: bold;
    text-decoration: none !important;
    &:hover {
        color: #b6b6b6;
    }
}

.restaurantlist-icons {
    display: flex;
    flex-direction: row;
    margin-top: 10px;
    margin-left: 1vw;
    gap: 15px;
    .restaurant-icon {
        height: 40px;
        width: 40px;
    }
}

.restaurantlist-content {
    display: flex;
}

.restaurantlist-schedule {
    width: 200px !important;
    .schedule-row {
        border-bottom: none !important;
    }
    .day {
        font-size: 14px !important;
    }

    .time {
        font-size: 13px !important;
    }
}

.restaurantlist-title {
    color: #494949;
    font-family: Arial, Helvetica, sans-serif;
    text-transform: uppercase;
}

.restaurantlist-poster {
    box-shadow: 0 0 20px darkgrey;
    border-radius: 5px;
    height: 200px;
    transition: transform 0.5s ease;
    object-fit: cover !important;
    &:hover {
        transform: scale(1.05);
    }
}



@media (max-width: 900px) {
    .restaurants-list {
        width: -webkit-fill-available;
    }

    .restaurantlist-card {
        width: auto;
        height: auto;
        flex-direction: column;
        margin-bottom: 10px;
    }

    .restaurantlist-header {
        flex-direction: column;
    }

    .restaurantlist-content {
        display: none;
    }

    .restaurantlist-icons {
        display: none;
    }
}
